changeset in /hg/icedtea: 2007-12-10 Lillian Angel <langel at red...

Lillian Angel langel at redhat.com
Mon Dec 10 12:59:38 PST 2007


changeset a3f84ad08c02 in /hg/icedtea
details: http://icedtea.classpath.org/hg/icedtea?cmd=changeset;node=a3f84ad08c02
description:
	2007-12-10  Lillian Angel  <langel at redhat.com>

	        * Makefile.am (dist-openjdk): New target to create openjdk zip.
	        * Makefile.in: Regenerate.
	        * configure.ac: Added check for tar tool.
	        * configure: Regenerate.

diffstat:

5 files changed, 138 insertions(+), 2 deletions(-)
ChangeLog    |    7 +++
Makefile.am  |    8 ++++
Makefile.in  |    9 ++++
configure    |  115 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
configure.ac |    1 

diffs (225 lines):

diff -r 1863200f65e7 -r a3f84ad08c02 ChangeLog
--- a/ChangeLog	Mon Dec 10 12:59:20 2007 -0500
+++ b/ChangeLog	Mon Dec 10 15:58:26 2007 -0500
@@ -1,3 +1,10 @@ 2007-12-10  Lillian Angel  <langel at redha
+2007-12-10  Lillian Angel  <langel at redhat.com>
+
+	* Makefile.am (dist-openjdk): New target to create openjdk zip.
+	* Makefile.in: Regenerate.
+	* configure.ac: Added check for tar tool.
+	* configure: Regenerate.
+
 2007-12-10  Lillian Angel  <langel at redhat.com>
 
 	* Makefile.am: Changed tag to use OPENJDK_VERSION var.
diff -r 1863200f65e7 -r a3f84ad08c02 Makefile.am
--- a/Makefile.am	Mon Dec 10 12:59:20 2007 -0500
+++ b/Makefile.am	Mon Dec 10 15:58:26 2007 -0500
@@ -102,6 +102,14 @@ env-ecj:
 # Mercurial snapshot.
 snapshot: dist
 	mv $(DIST_ARCHIVES) $(distdir)-`hg tip --template '{node}'`.tar.gz
+
+# Creates archive of openjdk.
+dist-openjdk:
+	hg fclone -r jdk7-$(OPENJDK_VERSION) $(OPENJDK_URL) openjdk-dist/openjdk
+	find -name \\.hg* | xargs rm -rf 
+	cd openjdk-dist && $(TAR) czf openjdk-$(OPENJDK_VERSION).tar.gz openjdk/
+	mv openjdk-dist/openjdk-$(OPENJDK_VERSION).tar.gz . 
+	rm -rf openjdk-dist
 
 # OpenJDK Source Preparation Targets
 # ==================================
diff -r 1863200f65e7 -r a3f84ad08c02 Makefile.in
--- a/Makefile.in	Mon Dec 10 12:59:20 2007 -0500
+++ b/Makefile.in	Mon Dec 10 15:58:26 2007 -0500
@@ -131,6 +131,7 @@ SYSTEM_ANT_DIR = @SYSTEM_ANT_DIR@
 SYSTEM_ANT_DIR = @SYSTEM_ANT_DIR@
 SYSTEM_GCJ_DIR = @SYSTEM_GCJ_DIR@
 SYSTEM_ICEDTEA_DIR = @SYSTEM_ICEDTEA_DIR@
+TAR = @TAR@
 UNZIP = @UNZIP@
 VERSION = @VERSION@
 WGET = @WGET@
@@ -664,6 +665,14 @@ snapshot: dist
 snapshot: dist
 	mv $(DIST_ARCHIVES) $(distdir)-`hg tip --template '{node}'`.tar.gz
 
+# Creates archive of openjdk.
+dist-openjdk:
+	hg fclone -r jdk7-$(OPENJDK_VERSION) $(OPENJDK_URL) openjdk-dist/openjdk
+	find -name \\.hg* | xargs rm -rf 
+	cd openjdk-dist && $(TAR) czf openjdk-$(OPENJDK_VERSION).tar.gz openjdk/
+	mv openjdk-dist/openjdk-$(OPENJDK_VERSION).tar.gz . 
+	rm -rf openjdk-dist
+
 stamps/clone.stamp:
 	if ! test -d openjdk ; then \
 	  if [ $(OPENJDK_SRC_ZIP) ] ; then \
diff -r 1863200f65e7 -r a3f84ad08c02 configure
--- a/configure	Mon Dec 10 12:59:20 2007 -0500
+++ b/configure	Mon Dec 10 15:58:26 2007 -0500
@@ -708,6 +708,7 @@ MD5SUM
 MD5SUM
 PATCH
 UNZIP
+TAR
 WGET
 CHMOD
 GAWK
@@ -4476,6 +4477,115 @@ fi
  if test x"$UNZIP" = x ; then
    { { echo "$as_me:$LINENO: error: unzip program not found in PATH" >&5
 echo "$as_me: error: unzip program not found in PATH" >&2;}
+   { (exit 1); exit 1; }; }
+ fi
+
+
+if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}tar", so it can be a program name with args.
+set dummy ${ac_tool_prefix}tar; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_TAR+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $TAR in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_TAR="$TAR" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_TAR="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+TAR=$ac_cv_path_TAR
+if test -n "$TAR"; then
+  { echo "$as_me:$LINENO: result: $TAR" >&5
+echo "${ECHO_T}$TAR" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_path_TAR"; then
+  ac_pt_TAR=$TAR
+  # Extract the first word of "tar", so it can be a program name with args.
+set dummy tar; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_ac_pt_TAR+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $ac_pt_TAR in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_ac_pt_TAR="$ac_pt_TAR" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_ac_pt_TAR="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  ;;
+esac
+fi
+ac_pt_TAR=$ac_cv_path_ac_pt_TAR
+if test -n "$ac_pt_TAR"; then
+  { echo "$as_me:$LINENO: result: $ac_pt_TAR" >&5
+echo "${ECHO_T}$ac_pt_TAR" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+  if test "x$ac_pt_TAR" = x; then
+    TAR=""
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf at gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf at gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    TAR=$ac_pt_TAR
+  fi
+else
+  TAR="$ac_cv_path_TAR"
+fi
+
+ if test x"$TAR" = x ; then
+   { { echo "$as_me:$LINENO: error: tar program not found in PATH" >&5
+echo "$as_me: error: tar program not found in PATH" >&2;}
    { (exit 1); exit 1; }; }
  fi
 
@@ -10636,10 +10746,10 @@ MD5SUM!$MD5SUM$ac_delim
 MD5SUM!$MD5SUM$ac_delim
 PATCH!$PATCH$ac_delim
 UNZIP!$UNZIP$ac_delim
+TAR!$TAR$ac_delim
 WGET!$WGET$ac_delim
 CHMOD!$CHMOD$ac_delim
 GAWK!$GAWK$ac_delim
-SYSTEM_GCJ_DIR!$SYSTEM_GCJ_DIR$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -10681,6 +10791,7 @@ ac_delim='%!_!# '
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+SYSTEM_GCJ_DIR!$SYSTEM_GCJ_DIR$ac_delim
 SYSTEM_ICEDTEA_DIR!$SYSTEM_ICEDTEA_DIR$ac_delim
 SYSTEM_ANT_DIR!$SYSTEM_ANT_DIR$ac_delim
 WITH_ICEDTEA_TRUE!$WITH_ICEDTEA_TRUE$ac_delim
@@ -10721,7 +10832,7 @@ LTLIBOBJS!$LTLIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 38; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 39; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff -r 1863200f65e7 -r a3f84ad08c02 configure.ac
--- a/configure.ac	Mon Dec 10 12:59:20 2007 -0500
+++ b/configure.ac	Mon Dec 10 15:58:26 2007 -0500
@@ -13,6 +13,7 @@ FIND_TOOL([MD5SUM], [md5sum])
 FIND_TOOL([MD5SUM], [md5sum])
 FIND_TOOL([PATCH], [patch])
 FIND_TOOL([UNZIP], [unzip])
+FIND_TOOL([TAR], [tar])
 FIND_TOOL([WGET], [wget])
 FIND_TOOL([CHMOD], [chmod])
 dnl OpenJDK's README-builds.html lists gawk as a build dependency so we



More information about the distro-pkg-dev mailing list